'use strict';Object.defineProperty(exports,'__esModule',{value:true});var _isString2=require('lodash/isString');var _isString3=_interopRequireDefault(_isString2);var _keys2=require('lodash/keys');var _keys3=_interopRequireDefault(_keys2);var _size2=require('lodash/size');var _size3=_interopRequireDefault(_size2);var _isUndefined2=require('lodash/isUndefined');var _isUndefined3=_interopRequireDefault(_isUndefined2);var _pickBy2=require('lodash/pickBy');var _pickBy3=_interopRequireDefault(_pickBy2);exports.default=createTestEnvFile;var _fs=require('fs');var _fs2=_interopRequireDefault(_fs);var _path=require('path');var _path2=_interopRequireDefault(_path);var _chalk=require('chalk');var _chalk2=_interopRequireDefault(_chalk);var _constants=require('./constants');function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj}}var testConfigRelativePath=_path2.default.join(_constants.DEFAULT_TEST_FOLDER_PATH,_constants.DEFAULT_CONFIG_FILE_PATH);var testConfigFullPath=_path2.default.join(_constants.DEFAULT_BASE_PATH,testConfigRelativePath);var fallbackTestConfigRelativePath=_path2.default.join(_constants.FALLBACK_TEST_FOLDER_PATH,_constants.DEFAULT_CONFIG_FILE_PATH);var fallbackTestConfigFullPath=_path2.default.join(_constants.DEFAULT_BASE_PATH,fallbackTestConfigRelativePath);var testEnvFileFullPath=_path2.default.join(_constants.DEFAULT_BASE_PATH,_constants.DEFAULT_TEST_ENV_FILE_PATH);var serviceAccountPath=_path2.default.join(_constants.DEFAULT_BASE_PATH,_constants.DEFAULT_SERVICE_ACCOUNT_PATH);var localServiceAccountPath=serviceAccountPath.replace(_constants.DEFAULT_BASE_PATH,'');var prefixesByCiEnv={master:'INT_',staging:'STAGE_',test:'TEST_','int-b':'INT_B_','int-c':'INT_C_'};function getEnvPrefix(){return prefixesByCiEnv[process.env.BRANCH_NAME]||prefixesByCiEnv[process.env.CI_ENVIRONMENT_SLUG]||prefixesByCiEnv.staging}function getEnvNameFromBranch(){return!process.env.BRANCH_NAME||process.env.BRANCH_NAME==='master'?'int':process.env.BRANCH_NAME}function envVarBasedOnCIEnv(varNameRoot){var prefix=getEnvPrefix();var combined=''+prefix+varNameRoot;if(_fs2.default.existsSync(testConfigFullPath)){var configObj=require(testConfigFullPath);return configObj[combined]||configObj[varNameRoot]}if(_fs2.default.existsSync(fallbackTestConfigFullPath)){var _configObj=require(fallbackTestConfigFullPath);return _configObj[combined]||_configObj[varNameRoot]}var varName=process.env[combined]?combined:varNameRoot;console.log(_chalk2.default.blue('"'+varName+'"'),_chalk2.default.blue('not found in '+testConfigRelativePath+'. Attempting to load from environment variables...'));return process.env[combined]||process.env[varNameRoot]}function getParsedEnvVar(varNameRoot){var val=envVarBasedOnCIEnv(varNameRoot);var prefix=getEnvPrefix();var combinedVar=''+prefix+varNameRoot;if(!val){console.error(_chalk2.default.blue('"'+combinedVar+'"'),_chalk2.default.yellow('not found, make sure it is set within environment vars'))}try{if((0,_isString3.default)(val)){return JSON.parse(val)}return val}catch(err){console.error(_chalk2.default.red('Error parsing '+combinedVar));return val}}function getServiceAccount(){if(_fs2.default.existsSync(serviceAccountPath)){console.log(_chalk2.default.blue('Local service account being loaded from'),_chalk2.default.yellow('.'+localServiceAccountPath));return require(serviceAccountPath)}var backServiceAccountPath=_path2.default.join(_constants.DEFAULT_BASE_PATH,'serviceAccount-'+getEnvNameFromBranch()+'.json');if(_fs2.default.existsSync(backServiceAccountPath)){console.log('Local service account not found at '+localServiceAccountPath+', falling back to '+backServiceAccountPath);return require(backServiceAccountPath)}console.log(_chalk2.default.yellow('Service Account file does not exist locally, falling back to environment variables...'));return{type:'service_account',project_id:envVarBasedOnCIEnv('FIREBASE_PROJECT_ID'),private_key_id:envVarBasedOnCIEnv('FIREBASE_PRIVATE_KEY_ID'),private_key:getParsedEnvVar('FIREBASE_PRIVATE_KEY'),client_email:envVarBasedOnCIEnv('FIREBASE_CLIENT_EMAIL'),client_id:envVarBasedOnCIEnv('FIREBASE_CLIENT_ID'),auth_uri:'https://accounts.google.com/o/oauth2/auth',token_uri:'https://accounts.google.com/o/oauth2/token',auth_provider_x509_cert_url:'https://www.googleapis.com/oauth2/v1/certs',client_x509_cert_url:envVarBasedOnCIEnv('FIREBASE_CERT_URL')}}function createTestEnvFile(){var envPrefix=getEnvPrefix();var uid=envVarBasedOnCIEnv('TEST_UID');if(!uid){return Promise.reject(new Error(envPrefix+'TEST_UID is missing from environment. Confirm that '+_constants.DEFAULT_TEST_FOLDER_PATH+'/config.json contains either '+envPrefix+'TEST_UID or TEST_UID.'))}var FIREBASE_PROJECT_ID=envVarBasedOnCIEnv('FIREBASE_PROJECT_ID');var serviceAccount=getServiceAccount();var serviceAccountMissingParams=(0,_pickBy3.default)(serviceAccount,_isUndefined3.default);if((0,_size3.default)(serviceAccountMissingParams)){var errMsg='Service Account is missing parameters: '+(0,_keys3.default)(serviceAccountMissingParams).join(', ');return Promise.reject(new Error(errMsg))}var projectId=process.env.GCLOUD_PROJECT||envVarBasedOnCIEnv('FIREBASE_PROJECT_ID');var cleanedProjectId=projectId.replace('firebase-','');if(serviceAccount.project_id!==FIREBASE_PROJECT_ID&&serviceAccount.project_id!==projectId){console.log('Warning: project_id "'+serviceAccount.project_id+'" does not match env var: "'+envVarBasedOnCIEnv('FIREBASE_PROJECT_ID')+'"')}var admin=require('firebase-admin');var appFromSA=admin.initializeApp({credential:admin.credential.cert(serviceAccount),databaseURL:'https://'+cleanedProjectId+'.firebaseio.com'},'withServiceAccount');return appFromSA.auth().createCustomToken(uid,{isTesting:true}).then(function(customToken){console.log('Custom token generated successfully, writing cypress.env.json...');appFromSA.delete();var newCypressConfig={TEST_UID:envVarBasedOnCIEnv('TEST_UID'),FIREBASE_PROJECT_ID:FIREBASE_PROJECT_ID,FIREBASE_AUTH_JWT:customToken};_fs2.default.writeFileSync(testEnvFileFullPath,JSON.stringify(newCypressConfig,null,2));console.log(_chalk2.default.blue(_constants.DEFAULT_TEST_ENV_FILE_PATH+' created successfully'));if(!_fs2.default.existsSync(serviceAccountPath)){_fs2.default.writeFileSync(serviceAccountPath,JSON.stringify(serviceAccount,null,2));console.log('Service account created successfully')}return customToken}).catch(function(err){console.error('Error generating custom token for uid: '+uid,err.message||err);return Promise.reject(err)})}module.exports=exports['default'];