'use strict';Object.defineProperty(exports,'__esModule',{value:true});var _get2=require('lodash/get');var _get3=_interopRequireDefault(_get2);var _isString2=require('lodash/isString');var _isString3=_interopRequireDefault(_isString2);exports.dataArrayFromSnap=dataArrayFromSnap;exports.parseFixturePath=parseFixturePath;exports.getEnvPrefix=getEnvPrefix;exports.envVarBasedOnCIEnv=envVarBasedOnCIEnv;exports.getServiceAccount=getServiceAccount;exports.initializeFirebase=initializeFirebase;exports.slashPathToFirestoreRef=slashPathToFirestoreRef;exports.getArgsString=getArgsString;exports.addDefaultArgs=addDefaultArgs;var _fs=require('fs');var _fs2=_interopRequireDefault(_fs);var _path=require('path');var _path2=_interopRequireDefault(_path);var _constants=require('./constants');function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj}}function _toConsumableArray(arr){if(Array.isArray(arr)){for(var i=0,arr2=Array(arr.length);i<arr.length;i++){arr2[i]=arr[i]}return arr2}else{return Array.from(arr)}}var prefixesByCiEnv={master:'INT_',staging:'STAGE_',production:'PROD_'};function dataArrayFromSnap(snap){var data=[];if(snap.data&&snap.exists){data.push({id:snap.id,data:snap.data()})}else if(snap.forEach){snap.forEach(function(doc){data.push({id:doc.id,data:doc.data()||doc})})}return data}function parseFixturePath(unparsed){if((0,_isString3.default)(unparsed)){try{return JSON.parse(unparsed)}catch(err){console.log('Error parsing fixture to JSON:',err);return unparsed}}return unparsed}function getEnvironmentSlug(){return process.env.CI_ENVIRONMENT_SLUG||'staging'}function getEnvPrefix(){var envSlug=getEnvironmentSlug();return prefixesByCiEnv[envSlug]}function getServiceAccountPath(){return _path2.default.join(_constants.DEFAULT_BASE_PATH,'serviceAccount.json')}function envVarBasedOnCIEnv(varNameRoot){var prefix=getEnvPrefix();var combined=''+prefix+varNameRoot;if(!process.env.CI&&!process.env.CI_ENVIRONMENT_SLUG){var localTestConfigPath=_path2.default.join(_constants.DEFAULT_BASE_PATH,_constants.DEFAULT_TEST_FOLDER_PATH,'config.json');var configObj=require(localTestConfigPath);return configObj[combined]||configObj[varNameRoot]}return process.env[combined]||process.env[varNameRoot]}function getParsedEnvVar(varNameRoot){var val=envVarBasedOnCIEnv(varNameRoot);var prefix=getEnvPrefix();var combinedVar=''+prefix+varNameRoot;if(!val){console.error(combinedVar+' not found, make sure it is set within environment vars')}try{if((0,_isString3.default)(val)){return JSON.parse(val)}return val}catch(err){console.error('Error parsing '+combinedVar);return val}}function getServiceAccount(){var serviceAccountPath=getServiceAccountPath();if(_fs2.default.existsSync(serviceAccountPath)){return require(serviceAccountPath)}return{type:'service_account',project_id:envVarBasedOnCIEnv('FIREBASE_PROJECT_ID'),private_key_id:envVarBasedOnCIEnv('FIREBASE_PRIVATE_KEY_ID'),private_key:getParsedEnvVar('FIREBASE_PRIVATE_KEY'),client_email:envVarBasedOnCIEnv('FIREBASE_CLIENT_EMAIL'),client_id:envVarBasedOnCIEnv('FIREBASE_CLIENT_ID'),auth_uri:'https://accounts.google.com/o/oauth2/auth',token_uri:'https://accounts.google.com/o/oauth2/token',auth_provider_x509_cert_url:'https://www.googleapis.com/oauth2/v1/certs',client_x509_cert_url:envVarBasedOnCIEnv('FIREBASE_CERT_URL')}}var fbInstance=void 0;function initializeFirebase(newFbInstance){try{if(!fbInstance){var serviceAccount=getServiceAccount();var projectId=(0,_get3.default)(serviceAccount,'project_id');if(!(0,_isString3.default)(projectId)){var missingProjectIdErr='Error project_id from service account to initialize Firebase.';console.log(missingProjectIdErr);throw new Error(missingProjectIdErr)}var cleanProjectId=projectId.replace('firebase-top-agent-int','top-agent-int');fbInstance=newFbInstance.initializeApp({credential:newFbInstance.credential.cert(serviceAccount),databaseURL:'https://'+cleanProjectId+'.firebaseio.com'});fbInstance.firestore().settings({timestampsInSnapshots:true})}return fbInstance}catch(err){console.log('Error initializing firebase-admin instance from service account.');throw err}}function slashPathToFirestoreRef(firestoreInstance,slashPath){var options=arguments.length>2&&arguments[2]!==undefined?arguments[2]:{};var ref=firestoreInstance;var srcPathArr=slashPath.split('/');srcPathArr.forEach(function(pathSegment){if(ref.collection){ref=ref.collection(pathSegment)}else if(ref.doc){ref=ref.doc(pathSegment)}else{throw new Error('Invalid slash path: '+slashPath)}});if(options.limit&&typeof ref.limit==='function'){ref=ref.limit(options.limit)}return ref}function getArgsString(args){return args&&args.length?' '+args.join(' '):''}function addDefaultArgs(args){var opts=arguments.length>1&&arguments[1]!==undefined?arguments[1]:{};var _opts$disableYes=opts.disableYes,disableYes=_opts$disableYes===undefined?false:_opts$disableYes;var newArgs=[].concat(_toConsumableArray(args));var projectId=envVarBasedOnCIEnv('FIREBASE_PROJECT_ID');if(!newArgs.includes('-P')||!newArgs.includes(projectId)){newArgs.push('-P');newArgs.push(projectId)}if(!disableYes&&!newArgs.includes(_constants.FIREBASE_TOOLS_YES_ARGUMENT)){newArgs.push(_constants.FIREBASE_TOOLS_YES_ARGUMENT)}return newArgs}